HomePhabricator

[CUDA] Warn about unsupported CUDA SDK version only if it's used.

Authored by tra on Mar 11 2020, 2:53 PM.

Description

[CUDA] Warn about unsupported CUDA SDK version only if it's used.

This fixes an issue with clang issuing a warning about unknown CUDA SDK if it's
detected during non-CUDA compilation.

Differential Revision: https://reviews.llvm.org/D76030

(cherry picked from commit eb2ba2ea953b5ea73cdbb598f77470bde1c6a011)

Details